<?php include 'header.html'; ?>
<?php include $_SERVER['DOCUMENT_ROOT']. '/sesion/valida_sesion.php' ?>
<?php session_start();?>
                

<body>
    <nav class="navbar navbar-expand-sm bg-light">
        <!-- Ponga el número de su equipo -->               <!--LISTO-->
        <a class="navbar-brand" href="/index.html">Equipo 4</a>

        <ul class="navbar-nav">
            <!-- Visible solo si hay una sesión iniciada -->
            <?php
            if (isset ($_SESSION["correo"] )) {
                echo "<li class=nav-item>
                <a class=nav-link href=/user/profile.html>Perfil</a>
            </li>";
            
        };?>
            <!-- Solo los usuarios tienen billetera -->
            <?php
            if (isset ($_SESSION["correo"] )) {
                if ($_SESSION['rol']==0){
                    echo "<li class=nav-item>
                        <a class=nav-link href=/user/wallet.html>Billetera</a>
                    </li>";
                }
            }; ?>
            <!-- Solo el admin puede revisar los usuarios -->
            
            <?php
            if (isset ($_SESSION["correo"] )) {
                if ($_SESSION['rol']==1){
                    echo "<li class=nav-item>
                        <a class=nav-link href=/admin/users/all.html>Usuarios</a>
                    </li>";
                }
            }; ?>
        </ul>
        <ul class="navbar-nav ml-auto">
            <!-- Visible solo si hay una sesión iniciada -->
            <?php
            if (isset ($_SESSION["correo"] )) {
                echo "<li class=nav-item>
                    <a class=nav-link href=/sesion/logout.php>Cerrar Sesión</a>
            </li>";
        }; ?>
            <!-- Visible solo si NO hay una sesión iniciada -->
            <?php if (!isset ($_SESSION["correo"] )) {
                echo "<li class=nav-item>
                    <a class=nav-link href=/sesion/log-in.html>Iniciar Sesión</a>
            </li>";
        }; ?>
            <!-- Visible solo si NO hay una sesión iniciada -->
            <?php if (!isset ($_SESSION["correo"] )) {
                echo "<li class=nav-item>
                    <a class=nav-link href=/sesion/sign-up.html>Registrarse</a>
            </li>"; 
        }; ?>
        </ul>
    </nav>
